summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHolger Paradies <retabell@gmx.de>2017-10-31 22:47:18 +0100
committerHolger Paradies <retabell@gmx.de>2017-10-31 22:47:18 +0100
commite92d7a676ec4dd4dfcdc0d8b69bcf00389df5cef (patch)
treeae737cf21000248f81b72f36880a53d9d79415cf
parent5c1d52a3cf28df5b895890b5d191bf9d7c787a0a (diff)
downloadetcskel-kanotix-e92d7a676ec4dd4dfcdc0d8b69bcf00389df5cef.zip
etcskel-kanotix-e92d7a676ec4dd4dfcdc0d8b69bcf00389df5cef.tar.gz
kf5 add reset panel script
-rwxr-xr-xkanotix-reset-kf5-panel25
-rwxr-xr-xreset-plasma.desktop20
2 files changed, 45 insertions, 0 deletions
diff --git a/kanotix-reset-kf5-panel b/kanotix-reset-kf5-panel
new file mode 100755
index 0000000..be18c20
--- /dev/null
+++ b/kanotix-reset-kf5-panel
@@ -0,0 +1,25 @@
+#!/bin/sh
+if [ "$(id -u)" = "0" ]; then
+ echo "Error: Do NOT run this script as root!" >&2
+ exit 1
+fi
+if [ -z "$DISPLAY" ]; then
+ echo "Error: This script does NOT run without X!" >&2
+ exit 2
+fi
+killall -9 plasmashell
+killall -9 kwin_x11
+
+rm -f ~/.cache/plasma*
+rm -f ~/.cache/qt*
+rm -f ~/.config/plasma-org.kde.plasma.desktop-appletsrc
+rm -f ~/.config/kdeglobals ~/.config/kwinrc ~/.config/plasmarc ~/.config/ksplashrc
+cp /etc/skel/.config/kdeglobals /etc/skel/.config/kwinrc /etc/skel/.config/plasmarc /etc/skel/.config/ksplashrc ~/.config/
+
+if [ -e ~/.nocompiz ]; then
+ echo "[Compositing]" >> ~/.config/kwinrc
+ echo "Enabled=false" >> ~/.config/kwinrc
+
+fi
+kwin_x11 &
+plasmashell &
diff --git a/reset-plasma.desktop b/reset-plasma.desktop
new file mode 100755
index 0000000..69ca325
--- /dev/null
+++ b/reset-plasma.desktop
@@ -0,0 +1,20 @@
+[Desktop Entry]
+Comment[de_DE]=Reset Plasma
+Comment=Reset Plasma
+Exec=kanotix-reset-kf5-panel &
+GenericName[de_DE]=reset Plasma
+GenericName=reset Plasma
+Icon=/usr/share/icons/Adwaita/48x48/emblems/emblem-important.png
+MimeType=
+Name[de_DE]=reset-plasma
+Name=reset-plasma
+Path=
+StartupNotify=true
+Terminal=false
+TerminalOptions=
+Type=Application
+X-DBUS-ServiceName=
+X-DBUS-StartupType=
+X-KDE-SubstituteUID=false
+X-KDE-Username=
+Categories=Kanotix;